NXOpen.UF.Modl.CreateExtrusionPath

Modl.CreateExtrusionPath()

Refer to UF_MODL_create_extrusion_path for documentation.

Signature: CreateExtrusionPath(objects, objectCount, pathObjects, path, trimData, offsets, regionPoint, regionSpecified, solidCreation, sign)

Parameters:
  • objects (list of Tag) – Section Objects.
  • objectCount (int) – Number of section objects
  • pathObjects (list of Tag) – Path objects
  • path (int) – Number of path objects
  • trimData (NXOpen.UF.Modl.SweepTrimObject Refer to UF_MODL_SWEEP_TRIM_object_s for documentation.) – Not used
  • offsets (list of str) – Offsets
  • regionPoint (list of float) – Point in desired region
  • regionSpecified (bool) – True or False for region desired
  • solidCreation (bool) – If TRUE, create solid bodies if input string closed. Otherwise, sheet bodies are the result.
  • sign (NXOpen.UF.Modl.FeatureSigns Refer to UF_FEATURE_SIGNS for documentation.) – The sign of the operation to be performed. UF_NULLSIGN = create new target solid UF_POSITIVE = add to target solid UF_NEGATIVE = subtract from target solid UF_UNSIGNED = intersect with target solid
Returns:

A Tuple

Return type:

A tuple consisting of (features,numberOfFeatures)

features(list of Tag): Array of extrude feature tags. This must be freed by calling UF_free.

numberOfFeatures(int): Number of features returned

License requirements: SOLIDS MODELING